Getting Started

Butterfree depends on Python 3.7+ and it is Spark 3.0 ready.

Python Package Index hosts reference to a pip-installable module of this library, using it is as straightforward as including it on your project’s requirements.

pip install butterfree

Or after listing butterfree in your requirements.txt file:

pip install -r requirements.txt

You may also have access to our preview build (unstable) by installing from staging branch:

pip install git+https://github.com/quintoandar/butterfree.git@staging

Discovering Butterfree

Welcome to Discovering Butterfree tutorial series! Click on the following links to open the tutorials:

#1 Feature Set Basics

#2 Spark Functions and Window

#3 Aggregated Feature Set

#4 Streaming Feature Set